M_ActivitySummerMissionCFG = {}

function M_ActivitySummerMissionCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySummerMissionCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Name = "圣兽宝藏场捕获1次圣兽朱雀", CompleteType = 3, CompleteParam = {708}, CompleteCount = 1, RewardItem = {1,161}, RewardQuantity = {15000,10}, GoType = 12, FindRand = {}}
	self.datas[2] = {ID = 2, Name = "武装巨鲨场捕获1次武装巨鲨", CompleteType = 3, CompleteParam = {706}, CompleteCount = 1, RewardItem = {1,161}, RewardQuantity = {25000,15}, GoType = 9, FindRand = {}}
	self.datas[3] = {ID = 3, Name = "高级龙宫场捕获1次龙王", CompleteType = 59, CompleteParam = {7,705}, CompleteCount = 1, RewardItem = {1,161}, RewardQuantity = {40000,20}, GoType = 10, FindRand = {}}
	self.datas[4] = {ID = 4, Name = "魔鲲降世场捕获1次魔鲲", CompleteType = 3, CompleteParam = {707}, CompleteCount = 1, RewardItem = {1,161}, RewardQuantity = {100000,25}, GoType = 11, FindRand = {}}
	self.datas[5] = {ID = 5, Name = "龙王传说场获得10000魔石", CompleteType = 53, CompleteParam = {28}, CompleteCount = 10000, RewardItem = {1,161}, RewardQuantity = {150000,30}, GoType = 15, FindRand = {5,7}}
end

M_ActivitySummerMissionCFG:init()
